
//
export function appendChildren(data, id, pid) {
  // 浅拷贝原始数据
  const arr = (data || []).map(x => ({...x}))

  return arr.map((item) => {
    const parent = arr.filter((m) => m[id] === item[pid])[0]
    if (parent) {
      parent.children = (parent.children || []).concat(item)
    }
    return item
  })
}

export function getTreeNode(data, pid, root = '-1') {
  return (data || []).filter(item => item[pid] === root) || []
}
